# TacJS

Comply with the European cookie law
using [tarteaucitron.js](https://github.com/AmauriC/tarteaucitron.js).

## Installation

The **[tarteaucitron](https://tarteaucitron.io/)** JavaScript library has been
moved out of the module sources and must now be installed manually.

- You can download the library sources [here](https://github.com/AmauriC/tarteaucitron.js/releases)
and copy the library files in the `web/libraries/tarteaucitronjs` folder of your
Drupal installation. The module expects the library files to be available in
this exact location.
- Or you can install the library using **composer** with this command:
`composer require npm-asset/tarteaucitronjs:1.21.0`.

- Then download and enable the [TacJS module](https://www.drupal.org/project/tacjs).

- Configure at `Administration > Configuration System > TacJS settings`
(requires administer tacjs configuration permission).

__As the module allows adding unfiltered text to the settings, only grant the '
Administer TacJS' permission to trusted users.__

## Features

- Manage dialog
- Add services
- Edit texts
- Store proof of consent

## Contributing

Everyone is more than welcome to contribute to this little module!
